## net.i2p.router.web
Class ConfigUpdateHandler

    java.lang.Object
      net.i2p.router.web.FormHandler
          net.i2p.router.web.ConfigUpdateHandler

    public class ConfigUpdateHandler

extends FormHandler

Field Summary
`static java.lang.String` `DEFAULT_NEWS_URL`
`static java.lang.String` `DEFAULT_PROXY_HOST`
`static java.lang.String` `DEFAULT_PROXY_PORT`
`static java.lang.String` `DEFAULT_REFRESH_FREQUENCY`
`static java.lang.String` `DEFAULT_SHOULD_PROXY`
`static java.lang.String` `DEFAULT_UPDATE_POLICY`
`static java.lang.String` `DEFAULT_UPDATE_URL`
`static java.lang.String` `PROP_NEWS_URL`
`static java.lang.String` `PROP_PROXY_HOST`
`static java.lang.String` `PROP_PROXY_PORT`
`static java.lang.String` `PROP_REFRESH_FREQUENCY`
`static java.lang.String` `PROP_SHOULD_PROXY`
`static java.lang.String` `PROP_UPDATE_POLICY`
`static java.lang.String` `PROP_UPDATE_URL`

Fields inherited from class net.i2p.router.web.FormHandler
`_action, _context, _log, _passphrase`

Constructor Summary
`ConfigUpdateHandler()`

Method Summary
`protected void` `processForm()` Override this to perform the final processing (in turn, adding formNotice and formError messages, etc)
`void` `setNewsURL(java.lang.String url)`
`void` `setProxyHost(java.lang.String host)`
`void` `setProxyPort(java.lang.String port)`
`void` `setRefreshFrequency(java.lang.String freq)`
`void` `setTrustedKeys(java.lang.String keys)`
`void` `setUpdatePolicy(java.lang.String policy)`
`void` `setUpdateThroughProxy(java.lang.String foo)`
`void` `setUpdateURL(java.lang.String url)`

Methods inherited from class net.i2p.router.web.FormHandler
`addFormError, addFormNotice, getErrors, getNotices, setAction, setContextId, setNonce, setPassphrase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_NEWS_URL

    public static final java.lang.String PROP_NEWS_URL

See Also:
  Constant Field Values

### DEFAULT_NEWS_URL

    public static final java.lang.String DEFAULT_NEWS_URL

See Also:
  Constant Field Values

### PROP_REFRESH_FREQUENCY

    public static final java.lang.String PROP_REFRESH_FREQUENCY

See Also:
  Constant Field Values

### DEFAULT_REFRESH_FREQUENCY

    public static final java.lang.String DEFAULT_REFRESH_FREQUENCY

See Also:
  Constant Field Values

### PROP_UPDATE_URL

    public static final java.lang.String PROP_UPDATE_URL

See Also:
  Constant Field Values

### DEFAULT_UPDATE_URL

    public static final java.lang.String DEFAULT_UPDATE_URL

See Also:
  Constant Field Values

### PROP_UPDATE_POLICY

    public static final java.lang.String PROP_UPDATE_POLICY

See Also:
  Constant Field Values

### DEFAULT_UPDATE_POLICY

    public static final java.lang.String DEFAULT_UPDATE_POLICY

See Also:
  Constant Field Values

### PROP_SHOULD_PROXY

    public static final java.lang.String PROP_SHOULD_PROXY

See Also:
  Constant Field Values

### DEFAULT_SHOULD_PROXY

    public static final java.lang.String DEFAULT_SHOULD_PROXY

### PROP_PROXY_HOST

    public static final java.lang.String PROP_PROXY_HOST

See Also:
  Constant Field Values

### DEFAULT_PROXY_HOST

    public static final java.lang.String DEFAULT_PROXY_HOST

See Also:
  Constant Field Values

### PROP_PROXY_PORT

    public static final java.lang.String PROP_PROXY_PORT

See Also:
  Constant Field Values

### DEFAULT_PROXY_PORT

    public static final java.lang.String DEFAULT_PROXY_PORT

See Also:
  Constant Field Values

Constructor Detail

### ConfigUpdateHandler

    public ConfigUpdateHandler()

Method Detail

### processForm

    protected void processForm()

  Description copied from class: `FormHandler`
  Override this to perform the final processing (in turn, adding formNotice and formError messages, etc)

  Overrides:
    `processForm` in class `FormHandler`

### setNewsURL

    public void setNewsURL(java.lang.String url)

### setRefreshFrequency

    public void setRefreshFrequency(java.lang.String freq)

### setUpdateURL

    public void setUpdateURL(java.lang.String url)

### setUpdatePolicy

    public void setUpdatePolicy(java.lang.String policy)

### setTrustedKeys

    public void setTrustedKeys(java.lang.String keys)

### setUpdateThroughProxy

    public void setUpdateThroughProxy(java.lang.String foo)

### setProxyHost

    public void setProxyHost(java.lang.String host)

### setProxyPort

    public void setProxyPort(java.lang.String port)